### Class method

# Gtk.WidgetClass.query_action

#### Declaration [src]

    gboolean
    gtk_widget_class_query_action (
      WidgetClass* self,
      guint index_,
      GType* owner,
      const char** action_name,
      const GVariantType** parameter_type
      const char** property_name,
    )

#### Description [src]

Queries the actions that have been installed for a widget class using `gtk_widget_class_install_action()` during class initialization.

Note that this function will also return actions defined by parent classes. You can identify those by looking at `owner`.

#### Parameters

`index_` | `guint`
| position of the action to query
`owner` | `GType*`
| return location for the type where the action was defined
| Direction: out
| Ownership of the data is transferred to the callee
`action_name` | `const char**`
| return location for the action name
| Direction: out
| Ownership of the data is transferred to the callee
| The string is a NUL terminated UTF-8 string
`parameter_type` | `const GVariantType**`
| return location for the parameter type
| Direction: out
| Ownership of the data is transferred to the callee
`property_name` | `const char**`
| return location for the property name
| Direction: out
| Ownership of the data is transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `gboolean`
`TRUE` if the action was found, `FALSE` if `index_` is out of range